/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.engine.cache;


import com.funambol.framework.engine.SyncItemKey;

/**
 *
 * @version $Id: CrcSyncItemInfo.java,v 1.9 2006/11/14 08:08:42 gbmiglia Exp $
 */
public class CrcSyncItemInfo {

    // -------------------------------------------------------------- Properties

    /**    */
    private SyncItemKey key;
    
    /**    */
    private long lastCrc;

    /**    */
    private String messageID;

    /**    */
    private java.util.Date headerDate;
        
    /**
     * keep all the header field
     */
    private String header;
    
    /**    
     * define if the email has a problem in the parsing steps
     * in the next sync session this mail will be skipped
     */
    private String invalid;

    /**  
     * define if the email is handled by the sync process.
     * Used by the InboxListener in order to notify to the Server
     * if there is a new email in the inbox  
     */
    private String internal;
    
    /**
     * define if the item is an email or a folder.
     */
    private String isEmail;
    
    /**
     * status of the item : N, D, U
     */
    private String status;

    
    // ------------------------------------------------------------ Constructors

    /**
     *
     */
    public CrcSyncItemInfo() {
    }
          
    /**
     *
     * @param _sKey String
     * @param _lastCrc long
     * @param _invalid String
     */
    public CrcSyncItemInfo(String _sKey, 
                           long _lastCrc, 
                           String _messageID,
                           java.util.Date _headerDate,
                           String _header,
                           String _invalid,
                           String _internal,
                           String _isEmail,
                           String _status) {
        this.key        = new SyncItemKey(_sKey);
        this.lastCrc    = _lastCrc;
        this.messageID  = _messageID;
        this.headerDate = _headerDate;
        this.invalid    = _invalid;
        this.internal   = _internal;
        this.isEmail    = _isEmail;
        this.status     = _status;
    }    
    
    // ---------------------------------------------------------- Public Methods

    /**
     *
     * @return SyncItemKey
     */
    public SyncItemKey getKey() {
        return key;
    }

    /**
     *
     * @param key SyncItemKey
     */
    public void setKey(SyncItemKey key) {
        this.key = key;
    }

    /**
     *
     * @param key String
     */
    public void setKey(String key) {
        this.key = new SyncItemKey(key);
    }
    
    /**
     *
     * @return lastCrc long
     */
    public long getLastCrc() {
        return lastCrc;
    }

    /**
     *
     * @param lastCrc long
     */
    public void setLastCrc(long lastCrc) {
        this.lastCrc = lastCrc;
    }
    
    /**
     *
     * @return headerDate java.util.Date
     */
    public java.util.Date getHeaderDate() {
        return headerDate;
    }

    /**
     *
     * @param headerDate java.util.Date
     */
    public void setHeaderDate(java.util.Date headerDate) {
        this.headerDate = headerDate;
    }
    
    /**
     *
     * @return messageID String
     */
    public String getMessageID() {
        return this.messageID;
    }

    /**
     *
     * @param _messageID String
     */
    public void setMessageID(String _messageID) {
        this.messageID = _messageID;
    }    

    /**
     *
     * @return header String
     */
    public String getHeader() {
        return this.header;
    }

    /**
     *
     * @param _header String
     */
    public void setHeader(String _header) {
        this.header = _header;
    }    
    
    /**
     *
     * @return invalid String
     */
    public String getInvalid() {
        return this.invalid;
    }

    /**
     *
     * @param _invalid String
     */
    public void setInvalid(String _invalid) {
        this.invalid = _invalid;
    }    

    /**
     *
     * @return internal String
     */
    public String getInternal() {
        return this.internal;
    }

    /**
     *
     * @param _internal String
     */
    public void setInternal(String _internal) {
        this.internal = _internal;
    }    
    
    /**
     *
     * @return isEmail String
     */
    public String getIsEmail() {
        return this.isEmail;
    }

    /**
     *
     * @param _isEmail String
     */
    public void setIsEmail(String _isEmail) {
        this.isEmail = _isEmail;
    }    
    
    
    /**
     *
     * @return status String
     */
    public String getStatus() {
        return this.status;
    }

    /**
     *
     * @param _status String
     */
    public void setStatus(String _status) {
        this.status = _status;
    }    
    
}
