/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.model;

import com.funambol.email.util.UtilityIL;



/**
 *
 * @version $Id: MSAccount.java,v 1.3 2006/11/14 09:22:04 gbmiglia Exp $
 */
public class MSAccount
{

    /** mail server info */
    private String  mailServer;
    private String  host;
    private String  protocol;
    private int     port;
    private boolean isSSL;
    private String  keystorePath;
    private  String keystorePassphrase;
    /** polling time (millisec) */
    private int     interval = 600000;

   /**
    *
    */
    public MSAccount(String _mailServer,
                     String _host,
                     boolean _isSSL,
                     String  _protocol,
                     int _port,
                     int _interval, // minutes
                     String _keystorePath,
                     String _keystorePassphrase)
    {
        this.mailServer         = _mailServer;
        this.host               = _host;
        this.isSSL              = _isSSL;
        this.protocol           = _protocol;
        this.port               = _port;
        this.interval           = UtilityIL.setMilliSec(_interval);
        this.keystorePath       = _keystorePath;
        this.keystorePassphrase = _keystorePassphrase;

   }

   /**
    *
    */
   public String getMailServer(){
      return this.mailServer;
   }
   
   /**
    *
    */
   public String getHost(){
      return this.host;
   }

   /**
    *
    */
   public String getProtocol(){
      return this.protocol;
   }

   /**
    *
    */
   public boolean getIsSSL(){
      return this.isSSL;
   }

   /**
    *
    */
   public int getPort(){
      return this.port;
   }

   /**
    *
    */
   public int getInterval(){
      return this.interval;
   }

   /**
    *
    */
   public String getKeystorePath(){
      return this.keystorePath;
   }

    public String getKeystorePassphrase()
    {
        return keystorePassphrase;
    }
}
