/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.items.model;

import com.funambol.email.util.Def;
import com.funambol.email.util.Utility;

import java.util.Date;

/**
 * this class contains all the info about the filter that the client sends
 *
 * @version $Id: EmailFilter.java,v 1.7.2.1 2006/12/11 15:34:56 gbmiglia Exp $
 */
public class EmailFilter {
    
    /**
     * filters
     */
    private String filterType  = Def.FILTER_TYPE_EXC;         //  default exclusive
    private int    maxInboxNum = Def.MAX_INBOX_EMAIL_NUMBER;  //  default 100
    private int    maxSentNum  = Def.MAX_SENT_EMAIL_NUMBER;   //  default 20
    private String Id          = null;                        //  no id filter
    private Date   time        = null;                        //  no time filter
    private String timeClause  = "GE";                        //  great/equals
    private int    folder      = Def.FILTER_FOLDER_IOS;       //
    private int    size        = Def.FILTER_SIZE_H_B_A;       //
    private int    numBytes    = 0;                           // def. no limit

    /**
     *
     */
    public EmailFilter(){
    }
    
    
    /**
     *
     */
    public EmailFilter(String _filterType,
                       int _maxInboxNum, 
                       int _maxSentNum, 
                       String _Id,
                       Date   _time,
                       String _timeClause,
                       int    _folder,
                       int    _size,
                       int    _numBytes){
        
         this.filterType  = _filterType; 
         this.maxInboxNum = _maxInboxNum; 
         this.maxSentNum  = _maxSentNum; 
         this.Id          = _Id; 
         this.time        = _time;
         this.timeClause  = _timeClause;
         this.folder      = _folder;
         this.size        = _size;
         this.numBytes    = _numBytes;
    }
    
    
    /**
     *
     * @return the value of the property filterType
     */
    public String getFilterType() {
        return filterType;
    }

    /**
     * @param filterType
     */
    public void setFilterType(String filterType) {
        this.filterType = filterType;
    }
    
    /**
     *
     * @return the value of the property maxEmailNum
     */
    public int getMaxInboxNum() {
        return this.maxInboxNum;
    }

    /**
     * @param maxEmailNum
     */
    public void setMaxInboxNum(int _maxInboxNum) {
        this.maxInboxNum = _maxInboxNum;
    }
    
    /**
     *
     * @return the value of the property maxSentNum
     */
    public int getMaxSentNum() {
        return this.maxSentNum;
    }

    /**
     * @param maxSentNum
     */
    public void setMaxSentNum(int _maxSentNum) {
        this.maxSentNum = _maxSentNum;
    }
    
    /**
     *
     * @return the value of the property id
     */
    public String getId() {
        return Id;
    }
    
    /**
     * @param id
     */
    public void setId(String id) {
        this.Id = id;
    }

    /**
     * @return the value of the property time
     */
    public Date getTime() {
        return time;
    }

    /**
     *
     * @param time
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     *
     * @return the value of the property timeClause
     */
    public String getTimeClause() {
        return timeClause;
    }

    /**
     *
     * @param timeClause
     */
    public void setTimeClause(String timeClause) {
        this.timeClause = timeClause;
    }

    /**
     *
     * @return the value of the property folder
     */
    public int getFolder() {
        return folder;
    }

    /**
     *
     * @param folder
     */
    public void setFolder(int folder) {
        this.folder = folder;
    }

    /**
     *
     * @return the value of the property size
     */
    public int getSize() {
        return size;
    }

    /**
     *
     * @param size
     */
    public void setSize(int size) {
        this.size = size;
    }

    /**
     *
     * @return the value of the property numBytes
     */
    public int getNumBytes() {
        return numBytes;
    }

    /**
     *
     * @param numBytes
     */
    public void setNumBytes(int numBytes) {
        this.numBytes = numBytes;
    }

    /**
     * <p>Returns a string representation of the object</p>
     * @return String
     */
    public String toString() {
        return "folderFilter " + this.folder +
                        "\nidFilter     " + this.Id +
                        "\ntimeFilter   " + Utility.UtcFromDate(this.time) +
                        "\nsizeFilter   " + this.size +
                        "\nnumBytes     " + this.numBytes;
    }
}
