/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.items.model;

import javax.mail.Message;
import javax.activation.DataHandler;

import com.funambol.email.util.Def;

/**
 *
 * @version $Id: InternalPart.java,v 1.5.2.1 2006/11/29 15:45:03 gbmiglia Exp $
 */
public class InternalPart {

    /**     */
    private Object  partvalue   = Def.CONTENT_BODY ;

    /**   part content type */
    private String  contenttype = Def.CONTENT_CONTENTTYPE ;

    /**   part disposition */
    private String  disposition = null ;

    /**   file name .. if part is an attachment */
    private String  filename = null ;

    /**   part disposition */
    private DataHandler  dhandler = null ;

    /**    */
    private boolean  isTextBody      = false ;
    
    /**    */
    private boolean  isHtmlBody      = false ;    
    
    /** int size of the part */
    private int     size        = 0 ;


    /**
     *
     */
    public InternalPart(){        
    }
    
    /**
     *
     */
    public InternalPart(Object _partvalue,
                        String _contenttype,
                        String _disposition,
                        String _filename,
                        DataHandler _dhandler,
                        boolean _isTextBody,
                        boolean _isHtmlBody,
                        int _size) {
        this.partvalue   = _partvalue;
        this.contenttype = _contenttype;
        this.disposition = _disposition;
        this.filename    = _filename;
        this.dhandler    = _dhandler;
        this.isTextBody  = _isTextBody;
        this.isHtmlBody  = _isHtmlBody;
        this.size        = _size;
    }
    
    /**
     * Returns the partvalue of the Message
     * @return the partvalue of the Message
     */
    public Object getPartValue() {
        return this.partvalue;
    }

    /**
     * Returns the contentType of the Message
     * @return the contentType of the Message
     */
    public String getContentType() {
        return this.contenttype;
    }

    /**
     * Returns the disposition of the Part
     * @return the disposition of the Part
     */
    public String getDisposition() {
        return this.disposition;
    }

    /**
     * Returns the filename of the Attachment
     * @return the filename of the Attachment
     */
    public String getFileName() {
        return this.filename;
    }

    /**
     * Returns the dhandler of the Part
     * @return the dhandler of the Part
     */
    public DataHandler getDHandler() {
        return this.dhandler;
    }


    /**
     * @return the flag
     */
    public boolean isTextBody() {
        return this.isTextBody;
    }

    /**
     * @return the flag
     */
    public boolean isHtmlBody() {
        return this.isHtmlBody;
    }
    
    /**
     * Returns the size of this Body
     * @return the size of this Body
     */
    public int getSize() {
        return this.size;
    }

    /**
     *
     */
    public void setPartValue(Object _partvalue) {
        this.partvalue = _partvalue;
    }

    /**
     *
     */
    public void setContentType(String _contenttype) {
        this.contenttype = _contenttype;
    }

    /**
     *
     */
    public void setDisposition(String _disposition) {
        this.disposition = _disposition;
    }

    /**
     *
     */
    public void setFileName(String _filename) {
        this.filename = _filename;
    }

    /**
     *
     */
    public void setDHandler(DataHandler _dhandler) {
        this.dhandler = _dhandler;
    }

    /**
     *
     */
    public void setIsTextBody(boolean _isTextBody) {
        this.isTextBody = _isTextBody;
    }

    /**
     *
     */
    public void setIsHtmlBody(boolean _isHtmlBody) {
        this.isHtmlBody = _isHtmlBody;
    }
    
    /**
     *
     */
    public void setSize(int _size) {
        this.size = _size;
    }


}
