package com.funambol.email.test;

import com.funambol.email.engine.source.EmailSyncSource;
import com.funambol.email.engine.source.PopEmailSyncSource;
import com.funambol.email.items.manager.EntityManager;
import com.funambol.email.items.manager.EntityManagerFilter;
import com.funambol.email.items.model.ItemMessage;
import com.funambol.email.pdi.mail.Email;
import com.sun.mail.imap.IMAPFolder;
import com.sun.mail.pop3.POP3Folder;
import java.io.IOException;
import java.util.Properties;
import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Store;


public class TestGetH {
            
    private String protocol = "imap";
    
    Session session = null;
    Store store = null;
    IMAPFolder f = null;
    
    public TestGetH() {
        
        try {
           Properties props = new Properties();
           session = Session.getDefaultInstance(props, null);           
           store = session.getStore(protocol);
           store.connect("192.168.0.10", "gilberto.migliavacca", "gilberto");
           f = (IMAPFolder)store.getFolder("Inbox");
           f.open(Folder.READ_WRITE);
            
           String id = "7681";
           
           Message m = getEmail(id);
           
           output(m, id);
           
           
           f.close(true);               
           store.close();
           
        } catch (Exception e){
            e.printStackTrace();
        }   
    }
    
    
    public static void main(String[] args) throws Exception {
        TestGetH t = new TestGetH();
    }
    
    
    /**
     *
     */
    public Message getEmail(String id){
        Message m = null;
        try {                       
           m = this.getItemByUID(id);             
        } catch (Exception e){
           e.printStackTrace();
        }        
        return m;         
    }    
    
    /**
     *
     */
    public void output(Message msg, String id) throws Exception {
        
        EmailSyncSource ess = new PopEmailSyncSource();
        EntityManagerFilter emf = new EntityManagerFilter();
        EntityManager       em = new EntityManager();
        
        ItemMessage im = emf.get_H(session, "I", id, msg, 'N', null, null);
        
        Email email    = em.createFoundationMail(im);
                
        String xml     = ess.getXMLFromFoundationMail(email);
        
        System.out.println("--> \n" + xml);
        
    }
    
    //--------------------------------------------------------------------------
    
    /**
     * 
     */
    private Message getItemByUID(String uid)
     throws MessagingException, IOException{
                   
           Message m = null;
           
           Message[] messages = f.getMessages();
           
           if (protocol.equals("imap")){
               m = f.getMessageByUID(Long.parseLong(uid));
           } else {
               //m = getMessageByUID(f, messages, uid);
           }
           /*
           if (m != null){
               System.out.println("msg subject: " + m.getSubject());
               System.out.println("msg from   : " + (m.getFrom())[0]);
           } else {
               System.out.println("WARNING message not found!");
           }
           */
           return m;
           
    }
    
    /**
     * workaround.
     * In the POP folder there is not the method
     * getMessageByUID
     *
     * @param f POP3Folder
     * @param uid String
     * @return Message
     * @throws MessagingException
     */
    private Message getMessageByUID(POP3Folder folder, Message[] messages, String uid)
     throws MessagingException{
        
        Message msg = null;
        String uidTmp = null;
        boolean found = false;
        
        for (int i=0; i<messages.length; i++) {
            msg = messages[i];
            uidTmp = folder.getUID(msg);
            if (uidTmp != null){
                if (uidTmp.equalsIgnoreCase(uid)) {
                    found = true;
                    break;
                }
            }
        }
        if (!found){
            msg = null;
        }                
        return msg;
  }

    
}