package com.funambol.email.test;

import com.funambol.email.engine.source.EmailSyncSource;
import com.funambol.email.engine.source.PopEmailSyncSource;
import com.funambol.email.pdi.mail.Email;
import com.funambol.email.pdi.mail.Ext;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;


public class TestPDI {
            
    public TestPDI() {
        try {
            output();
        } catch (Exception e){
            e.printStackTrace();
        }   
    }
    
    
    public static void main(String[] args) throws Exception {
        TestPDI t = new TestPDI();
    }
    
        
    public void output() throws Exception {
        EmailSyncSource ess = new PopEmailSyncSource();
        
        Email email = this.createFoundationEmail1();
        String xml = ess.getXMLFromFoundationMail(email);
        System.out.println("--> \n" + xml);
        
        email = this.createFoundationEmail2();
        xml = ess.getXMLFromFoundationMail(email);
        System.out.println("--> \n" + xml);
        
        email = this.createFoundationEmail3();
        xml = ess.getXMLFromFoundationMail(email);
        System.out.println("--> \n" + xml);
        
        email = this.createFoundationEmail4();
        xml = ess.getXMLFromFoundationMail(email);
        System.out.println("--> \n" + xml);
    }
    
    //--------------------------------------------------------------------------
    
    /**
     * no truncated email
     */
    private Email createFoundationEmail1(){
        Email email = new Email();

        email.getUID().setPropertyValue("UID_1");
        email.getParentId().setPropertyValue("I");
        
        email.getRead().setPropertyValue("false");
        email.getForwarded().setPropertyValue("false");
        email.getReplied().setPropertyValue("false");
        email.getDeleted().setPropertyValue("false");
        email.getFlagged().setPropertyValue("false");
        
        email.getCreated().setPropertyValue("20060911T123032Z");
        email.getModified().setPropertyValue("20060911T123032Z");

        // email
        email.getEmailItem().setPropertyValue("test");

        // Ext
        // no ext         
                
        return email;
    }
    
    /**
     * mail with truncated body
     */
    private Email createFoundationEmail2(){
        Email email = new Email();

        email.getUID().setPropertyValue("UID_1");
        email.getParentId().setPropertyValue("I");
        
        email.getRead().setPropertyValue("false");
        email.getForwarded().setPropertyValue("false");
        email.getReplied().setPropertyValue("false");
        email.getDeleted().setPropertyValue("false");
        email.getFlagged().setPropertyValue("false");
        
        email.getCreated().setPropertyValue("20060911T123032Z");
        email.getModified().setPropertyValue("20060911T123032Z");

        // email
        email.getEmailItem().setPropertyValue("test");

        // Ext
        Ext ext = new Ext();
        ext.setTruncated(true);        
        String bodysize = "4300";
        ext.setXvalBody(bodysize);
        
        email.setExt(ext);
                
        return email;
    }    
    
    /**
     * mail with body and attachment
     */
    private Email createFoundationEmail3(){
        Email email = new Email();

        email.getUID().setPropertyValue("UID_1");
        email.getParentId().setPropertyValue("I");
        
        email.getRead().setPropertyValue("false");
        email.getForwarded().setPropertyValue("false");
        email.getReplied().setPropertyValue("false");
        email.getDeleted().setPropertyValue("false");
        email.getFlagged().setPropertyValue("false");
        
        email.getCreated().setPropertyValue("20060911T123032Z");
        email.getModified().setPropertyValue("20060911T123032Z");

        // email
        email.getEmailItem().setPropertyValue("test");

        // Ext
        Ext ext = new Ext();
        ext.setTruncated(true);        
        String bodysize = "4300";
        ext.setXvalBody(bodysize);
        
        List xvalList = new ArrayList();
        String[] att1 = new String[2];
        att1[0] = "file di test.doc";
        att1[1] = "23000";
        String[] att2 = new String[2];
        att2[0] = "image.gif";
        att2[1] = "1273000";
        xvalList.add(att1);
        xvalList.add(att2);
        ext.setXvalAttach(xvalList);

        email.setExt(ext);
                
        return email;
    }
    
    /**
     * mail with body and attachment
     */
    private Email createFoundationEmail4(){
        Email email = new Email();

        email.getUID().setPropertyValue("UID_1");
        email.getParentId().setPropertyValue("I");
        
        email.getRead().setPropertyValue("false");
        email.getForwarded().setPropertyValue("false");
        email.getReplied().setPropertyValue("false");
        email.getDeleted().setPropertyValue("false");
        email.getFlagged().setPropertyValue("false");
        
        email.getCreated().setPropertyValue("20060911T123032Z");
        email.getModified().setPropertyValue("20060911T123032Z");

        // email
        email.getEmailItem().setPropertyValue("test");

        // Ext
        Ext ext = null;
        email.setExt(ext);
                
        return email;
    }    
    
}