/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.util;


/**
 * @version $Id: Query.java,v 1.8 2006/11/15 17:38:09 gbmiglia Exp $
 */
public class Query {

  /**
   *
   */ 
  public static final String CACHE_SELECT_ITEMS_BY_PRINCIPAL_BY_SOURCE =
        "select id, last_crc, invalid, internal, messageid, headerdate, isemail" +
        " from fnbl_email_cache where source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String CACHE_SELECT_INVALID_ITEMS =
        "select id, last_crc, invalid, internal, messageid, headerdate, isemail " +
        " from fnbl_email_cache where source_uri = ? and principal = ? and invalid = 'Y' ";
    
  /**
   *
   */ 
  public static final String CACHE_ADD_LOCAL_ITEM  =
        "insert into fnbl_email_cache " +
        "(id, last_crc, invalid, internal, source_uri, principal, messageid, headerdate, isemail) " + 
        " values(?,?,?,?,?,?,?,?,?)";

  /**
   *
   */ 
  public static final String CACHE_DELETE_LOCAL_ITEMS  =
        "delete from fnbl_email_cache " +
        " where source_uri = ? and principal = ? ";
  
  /**
   *
   */ 
  public static final String SENT_DELETE_POP  =
        "delete from fnbl_email_sentpop " +
        " where source_uri = ? and principal = ?";

    
  /**
   * invalid item in cache query
   */ 
  public static final String CACHE_INVALID_ITEM  =
        "update fnbl_email_cache set invalid = 'Y' " + 
            " where id = ?  and source_uri = ? and principal = ?";                                                   ;
    
  /** 
   * folders queries  
   */
  public static final String FOLDER_INSERT_FOLDER = 
            "insert into fnbl_email_folder " +
            "(guid, parentid, source_uri, principal, path) values (?,?,?,?,?)";

  /**
   *
   */ 
  public static final String FOLDER_DELETE_FOLDER = 
            "delete from fnbl_email_folder " +
            " where guid = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String FOLDER_SELECT_FOLDER = 
            "select guid, parentid, path from fnbl_email_folder " +
            " where guid = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String FOLDER_SELECT_FULLPATH = 
            "select path from fnbl_email_folder " +
            " where guid = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String FOLDER_SELECT_FULLPATH_FROM_FID = 
            "select path from fnbl_email_folder " +
            " where guid like ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String FOLDER_SELECT_FOLDERID = 
            "select guid, parentid from fnbl_email_folder " +
            " where path = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String FOLDER_SELECT_ALL_FOLDER = 
            "select guid, parentid, path from fnbl_email_folder " +
            " where source_uri = ? and principal = ?";

  /**
   * sent items queries
   */ 
  public static final String SENT_INSERT_SENT = 
            "insert into fnbl_email_sentpop " +
            " (id, source_uri, principal, mail, messageid) values (?,?,?,?,?)";

  /**
   *
   */ 
  public static final String SENT_DELETE_SENT = 
            "delete from fnbl_email_sentpop " +
            " where id = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String SENT_SELECT_SENT = 
            "select mail from fnbl_email_sentpop " +
            " where id = ? and source_uri = ? and principal = ?";

  /**
   *
   */ 
  public static final String SENT_SELECT_ALL_SENT = 
            "select id from fnbl_email_sentpop " +
            " where source_uri = ? and principal = ? and id like ? ";
  
  
  /**
   *
   */ 
  public static final String SENT_SELECT_TWIN_SENT = 
            "select id, mail from fnbl_email_sentpop " +
            " where messageid = ? and source_uri = ? and principal = ?";
    
  /**
   *
   */
  public static final String ACCOUNT_SELECT_ALL_ACCOUNTS =
        "select username, password, listener_id, max_num_email, activation " +
          " from fnbl_email_account order by username ";


  /**
   *
   */
  public static final String ACCOUNT_GET_ACCOUNT =
        "select username, password, listener_id, max_num_email " + 
          " from fnbl_email_account where username = ? ";
  
  /**
   *
   */
  public static final String ACCOUNT_INSERT_USER =
        "insert into fnbl_email_account " +
        " (username, password, listener_id, activation, max_num_email) values (?,?,?,?,?)";

  /**
   *
   */
  public static final String ACCOUNT_UPDATE_MAXEMAIL =
        "update fnbl_email_account set max_num_email = ? where username = ?";  

  /**
   *
   */
  public static final String ACCOUNT_UPDATE_ACTIVATION =
        "update fnbl_email_account set activation = ? where username = ?";  

  /**
   *
   */
  public static final String ACCOUNT_UPDATE_PASSWORD =
        "update fnbl_email_account set password = ? where username = ?";  
  
  /**
   *
   */
  public static final String ACCOUNT_DELETE_USER =
        "delete from fnbl_email_account where username = ? ";

    
  /**
   *
   */
  public static final String ACCOUNT_SELECT_LISTENER_ACCOUNT =
        "select username, password, listener_id, max_num_email from fnbl_email_account " +
        " where listener_id = ? and activation = ? " ;

  /**
   *
   */
  public static final String ACCOUNT_GET_LISTENER =
        "select listener_id from fnbl_email_account " +
        " where username = ? and password = ? " ;
  
  /**
   *
   */
  public static final String INBOX_INSERT_MAILBOX_INFO =
        "insert into fnbl_email_inbox " +
        " (username, protocol, id, last_crc, invalid, internal, messageid, headerdate) " +
        " values (?,?,?,?,?,?,?,?)";
     
  /**
   *
   */
  public static final String INBOX_SELECT_MAILBOX_INFO =
        " select id, last_crc, invalid, internal, messageid, headerdate " + 
        " from fnbl_email_inbox where username = ? and protocol = ? " ;
  
  /**
   *
   */
  public static final String INBOX_DELETE_MAILBOX_INFO  =
        "delete from fnbl_email_inbox where username = ? and protocol = ? ";
    
  /**
   *
   */
  public static final String INBOX_DELETE_EMAIL  =
        "delete from fnbl_email_inbox where username = ? and protocol = ? and  id = ? ";
    

}
