/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.util;


import javax.sql.DataSource;
import javax.naming.NamingException;
import javax.naming.InitialContext;


/**
 * <p>InboxListener Utility class</p>
 *
 * @version $Id: UtilityDB.java,v 1.1 2006/11/15 17:38:48 gbmiglia Exp $
 */

public class UtilityDB {

    
// ------------------------------------------------------------ Public Methods


 /**
  * Lookups the datasource
  *
  * JBOSS
  * private String jndiDataSourceName = "java:jdbc/sync4j";
  *
  * TOMCAT
  * private String jndiDataSourceName = "java:comp/env/jdbc/sync4j";
  *
  * @throws Exception if a error occurs during lookup
  */
  public static DataSource lookupDataSource(String jndiDataSourceName) 
    throws Exception {

      InitialContext ctx = new InitialContext();
      
      DataSource dataSource = null;

      try {
        // try tomcat  i.e. java:comp/env/jdbc/fnblds
        dataSource = (DataSource) ctx.lookup("java:comp/env/"+jndiDataSourceName) ;
      } catch (NamingException ne) {
          try {
              // try jboss i.e. java:jdbc/fnblds
              dataSource = (DataSource) ctx.lookup("java:"+jndiDataSourceName) ;
          } catch (Exception ex){
                try {
                    // try othser j2ee server jdbc/fnblds
                    dataSource = (DataSource) ctx.lookup(""+jndiDataSourceName) ;
                } catch (Exception e){
                     throw new Exception("Data source "+ jndiDataSourceName
                                      + " not found " + e.toString());
                }
          }
      }
      
      return dataSource;
      
  } 

    
}
