--
-- Initialization data for the EmailSyncConnector module
--
-- @version $Id: create_schema.sql,v 1.8 2006/11/07 17:40:20 gbmiglia Exp $
--


create table fnbl_email_cache (
    id         varchar(200),
    source_uri varchar(128),
    principal  varchar(32),
    last_crc   varchar(32),
    invalid     char, 
    internal    char,    
    messageid  varchar(200),
    headerdate  varchar(20),
    isemail     char    

);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50),
    parentid   VARCHAR(50),
    path       VARCHAR(500),
    source_uri varchar(128),
    principal  varchar(32),
    constraint pk_folder primary key (guid, source_uri, principal)    
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         varchar(200),
    source_uri varchar(128),
    principal  varchar(32)
    messageid  varchar(200),
    mail       blob
);

-- tables for inboxlistener

create table fnbl_email_account (
    username      varchar(50)  not null,
    password      varchar(50)  not null,
    listener_id   varchar(20)  not null,
    activation    char         not null,
    max_num_email varchar(8),
    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_inbox (
    username    varchar(50)  not null,
    protocol    varchar(4),
    id          varchar(200),
    last_crc    varchar(32),
    invalid     char, 
    internal    char,    
    messageid   varchar(200),
    headerdate  varchar(20)
);



