--
-- Initialization data for the Email Connector module
--
-- @version $Id: init_schema.sql,v 1.4 2006/10/31 16:25:25 gbmiglia Exp $ 
--

--
-- Source registration
--

delete from fnbl_sync_source_type where id='email-imap';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('email-imap','imap-based Email SyncSource','com.funambol.email.engine.source.ImapEmailSyncSource','com.funambol.email.admin.EmailSyncSourceConfigPanel');

delete from fnbl_sync_source_type where id='email-pop3';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('email-pop3','pop3-based Email SyncSource','com.funambol.email.engine.source.PopEmailSyncSource','com.funambol.email.admin.EmailSyncSourceConfigPanel');

delete from fnbl_module where id='email';
insert into fnbl_module (id, name, description) values('email','email','email');

delete from fnbl_connector where id='email';
insert into fnbl_connector(id, name, description, admin_class) values('email','FunambolEmailConnector','Funambol Email Connector','com.funambol.email.admin.EmailConnectorConfigPanel');

delete from fnbl_connector_source_type where connector='email' and (sourcetype='email-imap' or sourcetype='email-pop3');
insert into fnbl_connector_source_type(connector, sourcetype) values('email','email-imap');
insert into fnbl_connector_source_type(connector, sourcetype) values('email','email-pop3');

delete from fnbl_module_connector where module='email' and connector='email';
insert into fnbl_module_connector(module, connector) values('email','email');

--
--  SyncSource
--

delete from fnbl_client_mapping where (sync_source='imail' or sync_source='pmail');

delete from fnbl_last_sync where (sync_source='imail' or sync_source='pmail');

delete from fnbl_sync_source where uri='imail';
insert into fnbl_sync_source (uri, config, name, sourcetype)
  values('imail', 'email/email/email-imap/imail.xml','imail','email-imap');

delete from fnbl_sync_source where uri='pmail';
insert into fnbl_sync_source (uri, config, name, sourcetype)
  values('pmail', 'email/email/email-pop3/pmail.xml','pmail','email-pop3');  

--
-- id for sent emails
--

delete from fnbl_id where idspace='email.sentid';
delete from fnbl_id where idspace='email.folderid';
insert into fnbl_id (idspace, counter) values('email.sentid',0);
insert into fnbl_id (idspace, counter) values('email.folderid',0);
