--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.17 2006/11/17 15:52:41 gbmiglia Exp $
--


create table fnbl_email_cache (
    id           VARCHAR(200) BINARY,
    source_uri   VARCHAR(128) BINARY,
    principal    INTEGER,
    last_crc     BIGINT,
    invalid      char, 
    internal     char,    
    messageid    VARCHAR(200) BINARY,
    headerdate   VARCHAR(20) BINARY,
    isemail      char    
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50) BINARY,
    parentid   VARCHAR(50) BINARY,
    path       VARCHAR(255) BINARY,
    source_uri VARCHAR(128) BINARY,
    principal  INTEGER,
    constraint pk_folder primary key (guid, source_uri, principal)    
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         VARCHAR(200) BINARY,
    source_uri VARCHAR(128) BINARY,
    principal  INTEGER,
    messageid  VARCHAR(200) BINARY,
    mail       LONGBLOB
);

-- tables for inboxlistener

create table fnbl_email_account (
    username      VARCHAR(50)  BINARY not null,
    password      VARCHAR(50)  BINARY not null,
    listener_id   VARCHAR(20)  BINARY not null,
    activation    CHAR         BINARY not null,
    max_num_email varchar(8)   BINARY not null,  
    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_inbox (
    username    varchar(50)  BINARY not null,
    protocol    varchar(4)   BINARY,
    id          varchar(200) BINARY,
    last_crc    numeric,
    invalid     char, 
    internal    char,    
    messageid   varchar(200) BINARY,
    headerdate  varchar(20)  BINARY 
);




