--
-- Initialization data for the EmailSyncConnector module
--
-- @version $Id: create_schema.sql,v 1.9 2006/11/17 15:52:49 gbmiglia Exp $
--


create table fnbl_email_cache (
    id         varchar2(200),
    source_uri varchar2(128),
    principal  integer,
    last_crc   number,
    invalid     char, 
    internal    char,    
    messageid  varchar2(200),
    headerdate varchar2(20),
    isemail     char    
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR2(50),
    parentid   VARCHAR2(50),
    path       VARCHAR2(500),
    source_uri varchar2(128),
    principal  integer,
    constraint pk_folder primary key (guid, source_uri, principal)        
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         varchar2(200),
    source_uri varchar2(128),
    principal  integer
    messageid  varchar2(200),
    mail       blob,
);

-- tables for inboxlistener

create table fnbl_email_account (
    username      varchar2(50)  not null,
    password      varchar2(50)  not null,
    listener_id   varchar2(20)  not null,
    activation    char          not null,
    max_num_email varchar(8),
    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_inbox (
    username    varchar2(50)  not null,
    protocol    varchar2(4),
    id          varchar2(200),
    last_crc    number,
    invalid     char, 
    internal    char,    
    messageid   varchar2(200),
    headerdate  varchar2(20)
);

