--
-- Initialization data for the Email Connector module
--
-- @version $Id: create_schema.sql,v 1.16 2006/11/17 15:52:57 gbmiglia Exp $
--


create table fnbl_email_cache (
    id         varchar(200),
    source_uri varchar(128),
    principal  integer,
    last_crc   bigint,
    invalid    char, 
    internal   char,    
    messageid  VARCHAR(200),
    headerdate VARCHAR(20),
    isemail    char    
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50),
    parentid   VARCHAR(50),
    path       VARCHAR(500),
    source_uri VARCHAR(128),
    principal  integer,
    constraint pk_folder primary key (guid, source_uri, principal)        
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         VARCHAR(200),
    source_uri varchar(128),
    principal  integer,
    messageid  VARCHAR(200),
    mail       bytea
);

-- tables for inboxlistener

create table fnbl_email_account (
    username      varchar(50),
    password      varchar(50),
    listener_id   varchar(20),
    activation    char,
    max_num_email varchar(20),
    constraint pk_account primary key (username, password, listener_id)
);

create table fnbl_email_inbox (
    username    varchar(50)  not null,
    protocol    varchar(4),
    id          varchar(200),
    last_crc    bigint,
    invalid     char, 
    internal    char,    
    messageid   varchar(200),
    headerdate  varchar(20)   
);


